import React from "react";
import { SemanticWIDTHS } from "semantic-ui-react";
/**
 * Password prop types
 */
interface PasswordPropsInterface {
    label: string;
    value: string;
    error: false | {
        content: JSX.Element[];
    };
    width: SemanticWIDTHS;
    type: "password";
    placeholder: string;
    name: string;
    onBlur: (event: any) => void;
    onChange: (event: any) => void;
    showPassword: string;
    hidePassword: string;
    autoFocus?: boolean;
    readOnly?: boolean;
    disabled?: boolean;
    required?: boolean;
    [extra: string]: any;
}
/**
 * Password component
 * @param props
 */
export declare const Password: React.FunctionComponent<PasswordPropsInterface>;
export {};
